> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shelv.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> List delivery jobs for a webhook endpoint.



## OpenAPI

````yaml openapi.yaml get /v1/webhooks/{id}/deliveries
openapi: 3.1.0
info:
  description: >-
    Convert documents into structured Markdown filesystems that AI agents can
    hydrate and use in sandbox runtimes.
  title: Shelv API
  version: 1.0.0
servers:
  - url: https://api.shelv.dev
security:
  - bearerApiKey: []
paths:
  /v1/webhooks/{id}/deliveries:
    get:
      tags:
        - Webhooks
      summary: List webhook deliveries
      description: List delivery jobs for a webhook endpoint.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/WebhookPublicIdParam'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WebhookDeliveryJobResponse'
                type: array
          description: List of delivery jobs
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Webhook not found
      security:
        - bearerApiKey: []
components:
  schemas:
    WebhookPublicIdParam:
      pattern: ^wh_[0-9a-f]{24}$
      type: string
    WebhookDeliveryJobResponse:
      properties:
        attemptCount:
          type: integer
        createdAt:
          format: date-time
          type: string
        eventType:
          enum:
            - shelf.ready
            - shelf.failed
            - shelf.review
            - webhook.ping
          type: string
        lastError:
          type:
            - string
            - 'null'
        lastStatusCode:
          type:
            - integer
            - 'null'
        maxAttempts:
          type: integer
        nextAttemptAt:
          format: date-time
          type:
            - string
            - 'null'
        publicId:
          pattern: ^job_[0-9a-f]{24}$
          type: string
        status:
          enum:
            - pending
            - in_progress
            - retrying
            - succeeded
            - failed
            - canceled
            - dead_letter
          type: string
        updatedAt:
          format: date-time
          type: string
        webhookEventPublicId:
          pattern: ^evt_[0-9a-f]{24}$
          type: string
        webhookPublicId:
          pattern: ^wh_[0-9a-f]{24}$
          type:
            - string
            - 'null'
      required:
        - publicId
        - webhookPublicId
        - webhookEventPublicId
        - eventType
        - status
        - attemptCount
        - maxAttempts
        - nextAttemptAt
        - lastStatusCode
        - lastError
        - createdAt
        - updatedAt
      type: object
    ErrorResponse:
      properties:
        code:
          type: string
        details: {}
        message:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerApiKey:
      bearerFormat: APIKey
      scheme: bearer
      type: http

````